Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree
Class TreeDragZone

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragDrop
              com.gwtext.client.dd.DD
                  com.gwtext.client.dd.DDProxy
                      com.gwtext.client.dd.DragSource
                          com.gwtext.client.dd.DragZone
                              com.gwtext.client.widgets.tree.TreeDragZone

    public class TreeDragZone

extends com.gwtext.client.dd.DragZone

A TreePanel drag zone.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`TreeDragZone(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary

Methods inherited from class com.gwtext.client.dd.DragZone
`create, create`

Methods inherited from class com.gwtext.client.dd.DragSource
`getProxy`

Methods inherited from class com.gwtext.client.dd.DDProxy
`createFrame, initFrame, isCenterFrame, isResizeFrame, setCenterFrame, setResizeFrame`

Methods inherited from class com.gwtext.client.dd.DD
`alignElWithMouse, autoOffset, cachePosition, isScroll, setDelta, setDragElPos, setScroll`

Methods inherited from class com.gwtext.client.dd.DragDrop
`addInvalidHandleClass, addInvalidHandleId, addInvalidHandleType, addToGroup, applyConfig, clearConstraints, clearTicks, endDrag, getDragEl, getEl, getGroups, getId, getInvalidHandleClasses, getInvalidHandleTypes, getPadding, getXTicks, getYTicks, hasOuterHandles, init, initTarget, isAvailable, isLocked, isMaintainOffset, isPrimaryButtonOnly, isTarget, isValidHandleChild, lock, onAvailable, onDrag, onDragDrop, onDragDrop, onDragEnter, onDragEnter, onDragOut, onDragOut, onDragOver, onDragOver, onInvalidDrop, onMouseDown, onMouseUp, removeFromGroup, removeInvalidHandleClass, removeInvalidHandleId, removeInvalidHandleType, resetConstraints, setDragElId, setHandleElId, setOuterHandleElId, setPadding, setXConstraint, setYConstraint, startDrag, toString, unlock, unreg`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeDragZone

    public TreeDragZone(com.google.gwt.core.client.JavaScriptObject jsObj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD